package cn.iocoder.yudao.module.mqtt.api.path.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapItemSynDTO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31007")
    private Long id;

    @Schema(description = "坐标x轴")
    private Double x;

    @Schema(description = "坐标y轴")
    private Double y;

    @Schema(description = "类型 1.路径点位 2.库位点 3.充电桩 4.停车点 5.区域变更点 6.等待点  --- 后续补充", example = "1")
    private Double type;

    @Schema(description = "弧度")
    private Double yaw;

    @Schema(description = "点位自增排序")
    private Long sortNum;

}
