package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆动作记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotTaskDetailActionLogRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "25503")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "-1代表是任务，其他的是操作的明细", example = "18544")
    @ExcelProperty("-1代表是任务，其他的是操作的明细")
    private Long commandId;

    @Schema(description = "下发给车机的任务类型", example = "2")
    @ExcelProperty("下发给车机的任务类型")
    private String commandType;

    @Schema(description = "下发给车机的任务数据(仅展示前250字符)")
    @ExcelProperty("下发给车机的任务数据(仅展示前250字符)")
    private String commandMsg;

    @Schema(description = "车辆当前正在做的动作")
    @ExcelProperty("车辆当前正在做的动作")
    private String actionMsg;

    @Schema(description = "动作状态(动作状态(0:未开始、1：执行中、2：已完成、3：已取消、4:异常))", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("动作状态(动作状态(0:未开始、1：执行中、2：已完成、3：已取消、4:异常))")
    private Integer actionStatus;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "robot_task_detail的id")
    private Long taskDetailId;

    @Schema(description = "任务阶段(0:待执行、1：前往取货、2：取货中、3：前往放货、4：放货中、5：结束、6：移动中、7:正在充电、8:取消、9:人工完成、10:异常)")
    private Long taskStage;

    @Schema(description = "任务号")
    @ExcelProperty("任务号")
    private String taskNo;

    @Schema(description = "开始时间")
    @ExcelProperty("开始时间")
    private LocalDateTime startTime;

    @Schema(description = "结束时间")
    @ExcelProperty("结束时间")
    private LocalDateTime endTime;

    @Schema(description = "车辆做任务时,所在的仓库点位地图表id")
    @ExcelProperty("车辆做任务时,所在的仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "是否已经统计(0:未统计、1：已经统计)")
    @ExcelProperty("是否已经统计(0:未统计、1：已经统计)")
    private Integer alreadyCounted;

}