package cn.iocoder.yudao.module.system.controller.admin.robot.mapstop;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆(地图)急停记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotMapStopPageReqVO extends PageParam {

    @Schema(description = "急停仓库点位地图表id", example = "20550")
    private Long positionMapId;

    @Schema(description = "急停的AGV编号")
    private String robotNo;

    @Schema(description = "类型（0：地图、1：车辆）", example = "2")
    private Integer stopType;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}