package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 车辆类型新增/修改 Request VO")
@Data
public class RobotModelSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15571")
    private Long id;

    @Schema(description = "车辆类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "车辆类型不能为空")
    private String robotModelNumber;

    @Schema(description = "偏移量")
    private String robotOffset;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "是否自动充电（0:手动充电,1:自动充电）")
    private Integer chargeType;

    @Schema(description = "车辆宽(单位米)")
    private String robotWide;

    @Schema(description = "中心到车头距离(单位米)")
    private String robotCenterHeadstock;

    @Schema(description = "中心到车尾距离(单位米)")
    private String robotCenterTail;

    @Schema(description = "转弯半径(单位米)")
    private String robotTurningRadius;
}