package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆(地图)急停记录 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_map_stop")
@KeySequence("robot_map_stop_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotMapStopDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 急停仓库点位地图表id
     */
    private Long positionMapId;
    /**
     * 急停的AGV编号
     */
    private String robotNo;
    /**
     * 类型（0：地图、1：车辆）
     */
    private Integer stopType;

}