package cn.iocoder.yudao.module.system.service.robot.chargelog;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.robot.chargelog.RobotChargeLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.chargelog.RobotChargeLogSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotChargeLogDO;

/**
 * 车辆充电记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotChargeLogService {

    /**
     * 创建车辆充电记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createChargeLog(@Valid RobotChargeLogSaveReqVO createReqVO);

    /**
     * 更新车辆充电记录
     *
     * @param updateReqVO 更新信息
     */
    void updateChargeLog(@Valid RobotChargeLogSaveReqVO updateReqVO);

    /**
     * 删除车辆充电记录
     *
     * @param id 编号
     */
    void deleteChargeLog(Long id);

    /**
     * 获得车辆充电记录
     *
     * @param id 编号
     * @return 车辆充电记录
     */
    RobotChargeLogDO getChargeLog(Long id);

    /**
     * 获得车辆充电记录分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆充电记录分页
     */
    PageResult<RobotChargeLogDO> getChargeLogPage(RobotChargeLogPageReqVO pageReqVO);

}